Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.assoc
Class M2OEdit<T>

    java.lang.Object
      hibergui.Component<T>
          hibergui.Edit<C>
              hibergui.assoc.AssociationEdit<T,T>
                  hibergui.assoc.M2OEdit<T>

Direct Known Subclasses:
  M2OEdit_Combo

    public abstract class M2OEdit<T>

extends AssociationEdit<T,T>

Nested Class Summary

Nested classes/interfaces inherited from class hibergui.Edit
`Edit.DefaultComputation<TT>, Edit.EditConstraint`

Field Summary
`protected java.lang.Class<T>` | `persistentClass`

Fields inherited from class hibergui.assoc.AssociationEdit
`btnAssoc, dlgAssoc`

Fields inherited from class hibergui.Edit
`form, lsn_TRAVERSE, lsn_WIDGET_MOD, value`

Fields inherited from class hibergui.Component
`lsn_WIDGET_FOCUS, lsn_WIDGET_KEY, style`

Constructor Summary
`M2OEdit(Form<?> form, org.eclipse.swt.widgets.Composite cptParent, int style, java.lang.String prop, java.lang.String name)`

Method Summary
`protected Form<T>` | `createForm(org.eclipse.swt.widgets.Composite cptParent)`
`protected abstract Form<T>` | `createForm(org.eclipse.swt.widgets.Composite cptParent, int style)`
`T` | `extract()` It should do something like that (unfortunately, generic parameter types cannot be instantiated): public final T extract() { T t = new T(); extract(t); return t; }
`abstract void` | `extract(T t)`
`protected void` | `fillForm(Form<T> f)` Fills the corresponding fields of the form, according to the content of the editor.
`protected abstract java.util.List<T>` | `findAll()`
`protected abstract java.util.List<T>` | `findSuch()`
`protected void` | `setSelection(T[] value)`

Methods inherited from class hibergui.assoc.AssociationEdit
`clear, createAssocDialog, createAssocDialogButton, isEnabled, refresh, setBackground, setEditable, setEnabled, setFocus`

Methods inherited from class hibergui.Edit
`addConstraint, addConstraint, addModificationListener, addTraverseListener, fill, fireKeyPressed, fireKeyReleased, fireTraversal, fix, get, getDefault, getName, getPropertyName, hasDefault, isDirty, isEditable, isFixed, isValid, markClean, markDirty, markInvalid, markValid, removeConstraint, removeConstraint, removeModificationListener, removeTraverseListener, resetBackground, set, setDefault, setDefault, setDefault, verify`

Methods inherited from class hibergui.Component
`addChangeListener, addControlListener, addFocusListener, addKeyListener, createContents, dispose, fireChange, getControl, init, removeChangeListener, removeControlListener, removeFocusListener, removeKeyListener, setLayoutData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### persistentClass

    protected final java.lang.Class<T> persistentClass

Constructor Detail

### M2OEdit

    public M2OEdit(Form<?> form,
                   org.eclipse.swt.widgets.Composite cptParent,
                   int style,
                   java.lang.String prop,
                   java.lang.String name)

Method Detail

### setSelection

    protected void setSelection(T[] value)

  Specified by:
    `setSelection` in class `AssociationEdit<T,T>`

### createForm

    protected final Form<T> createForm(org.eclipse.swt.widgets.Composite cptParent)

  Specified by:
    `createForm` in class `AssociationEdit<T,T>`

### fillForm

    protected void fillForm(Form<T> f)

  Fills the corresponding fields of the form, according to the content of the editor. This is only invoked when no object has been set as the input the editor yet.

  Parameters:
    `f` -

### createForm

    protected abstract Form<T> createForm(org.eclipse.swt.widgets.Composite cptParent,
                                          int style)

### extract

    public abstract void extract(T t)

### extract

    public T extract()

  It should do something like that (unfortunately, generic parameter types cannot be instantiated): public final T extract() { T t = new T(); extract(t); return t; }

  Overrides:
    `extract` in class `AssociationEdit<T,T>`
  Returns:
    the extracted value

### findSuch

    protected abstract java.util.List<T> findSuch()

### findAll

    protected abstract java.util.List<T> findAll()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD